/// shifted Legendre polynomial coefficients 
/// NJC 5 August 2007 

mata : 

real slp(real scalar r) { 
	real matrix P 
	real scalar i, j 
	P = J(r, r, .)

	for(i = 0; i < r; i++) {
		for (j = 0; j < r; j++) {
			P[i + 1, j + 1] = (-1)^(i - j) * 
				comb(i, j) * comb(i + j, j)
		}
	}

	return(editmissing(P, 0))  
} 

end 
